drio
Technical OverviewAPI Reference

Draft

Draft validation and runtime preview.

POST
/api/v3/apps/{app_id}/draft/validate

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://mcp.getdrio.com/api/v3/apps/string/draft/validate"
{
  "ok": true,
  "error_count": 0,
  "warning_count": 0,
  "blocking_count": 0,
  "issues": [
    {
      "code": "string",
      "severity": "error",
      "blocks_publish": true,
      "message": "string",
      "references": [
        {
          "entity_type": "string",
          "entity_id": "string",
          "label": "string",
          "supporting_label": "string",
          "description": "string"
        }
      ]
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
GET
/api/v3/apps/{app_id}/draft/runtime-preview

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://mcp.getdrio.com/api/v3/apps/string/draft/runtime-preview"
{
  "runtime": {},
  "validation": {
    "ok": true,
    "error_count": 0,
    "warning_count": 0,
    "blocking_count": 0,
    "issues": [
      {
        "code": "string",
        "severity": "error",
        "blocks_publish": true,
        "message": "string",
        "references": [
          {
            "entity_type": "string",
            "entity_id": "string",
            "label": "string",
            "supporting_label": "string",
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}